/**
 * @package: Template with Radius search for SobiPro Component for Joomla!

 * @author
 * Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 * Email: sobi[at]sigsiu.net
 * Url: https://www.Sigsiu.NET
 * Radius AddOn by zi2000

 * @copyright Copyright (C) 2006 - 2020 Sigsiu.NET GmbH (https://www.sigsiu.net). All rights reserved.
 * @license GNU/GPL Version 3
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 * See https://www.gnu.org/licenses/gpl.html and https://www.sigsiu.net/licenses.

 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 */

SobiPro.jQuery( document ).ready( function () {
	var spSearchDefStr = '';
    var spSearchRadStr = '';

/* new: for the radius input field */
    SobiPro.jQuery( '#SPRadius' ).on( 'click', function () {
        ir = SobiPro.jQuery( '#SPRadius' );
       spSearchRadStr = spSearchRadStr == '' ? ir.data('text-rad') : spSearchRadStr;
		if ( ir.val() == spSearchRadStr ) {
			ir.val( '' );
		}
    } );
    SobiPro.jQuery( '#SPRadius' ).on( 'blur', function () {
        ir = SobiPro.jQuery( '#SPRadius' );
        spSearchRadStr = spSearchRadStr == '' ? ir.data('text-rad') : spSearchRadStr;
		if ( ir.val() == '' ) {
			ir.val( spSearchRadStr );
		}
    } );

/* (old) SearchBox */
	SobiPro.jQuery( '#SPSearchBox' ).bind( 'click', function () {
		spSearchDefStr = spSearchDefStr == '' ? SobiPro.Txt( 'SH.SEARCH_FOR_BOX' ) : spSearchDefStr;
		if ( SobiPro.jQuery( '#SPSearchBox' ).val() == spSearchDefStr ) {
			SobiPro.jQuery( '#SPSearchBox' ).val( '' );
		}
	} );
	SobiPro.jQuery( '#SPSearchBox' ).bind( 'blur', function () {
		spSearchDefStr = spSearchDefStr == '' ? SobiPro.Txt( 'SH.SEARCH_FOR_BOX' ) : spSearchDefStr;
		if ( SobiPro.jQuery( '#SPSearchBox' ).val() == '' ) {
			SobiPro.jQuery( '#SPSearchBox' ).val( spSearchDefStr );
		}
	} );

/* new: for the extended search filter reset 'button' */
    SobiPro.jQuery( "#resetExtSearch" ).on('click', function () {
    SobiPro.jQuery( "#SPExtSearch .spRangeFrom,.spRangeTo,.spFieldCheckbox,.spFieldSelect").each( function() {
    el = SobiPro.jQuery(this);
    res = SobiPro.jQuery( "#resetExtSearch" );
    if (el.attr('class') == 'spFieldCheckbox')
        el.find('input').prop("checked", false);
    else
        el.find('option:eq(0)').prop('selected', true);

    res.html(res.data('text-deleted'));
    res.attr('class','exdeleted');
    } )
    });

    SobiPro.jQuery( "#SPExtSearch .spClassInbox,.spClassCheckbox,.spClassSelect").change(function() {
    res = SobiPro.jQuery( "#resetExtSearch" );
    res.html(res.data('text-reset'));
    res.attr('class','exreset');
    });
/* extented reset */

/* (old) */
	try {
		SobiPro.jQuery( '#SPExtSearch' ).slideToggle( 'fast' );
		SobiPro.jQuery( '#SPExOptBt' ).on( 'click', function () {
            SobiPro.jQuery( '#SPExtSearch' ).slideToggle( 'fast' );
 /* new lines */
            if (SobiPro.jQuery('#SPDistSearch').length) {
		    SobiPro.jQuery( '#SPDistSearch' ).slideToggle( 'fast' );
            bt = SobiPro.jQuery( '#SPExOptBt' );
            if (bt.text() == bt.data('text-ext')) {
                bt.text(bt.data('text-rad'));
                } else {
                bt.text(bt.data('text-ext'));
                }
            }
/* end new lines */
		} );
	} catch (e) {
	}


	SobiPro.jQuery( '.sphrase' ).each( function ( i, e ) {
		var e = SobiPro.jQuery( e );
		if ( !(e.hasClass( 'active' )) ) {
			e.removeClass( 'btn-sigsiu' );
		}
		e.click( function () {
			SobiPro.jQuery( e )
				.parent()
				.find( '.sphrase' )
				.removeClass( 'btn-sigsiu' ).addClass( 'btn-default' ).removeClass( 'btn-success' );
			SobiPro.jQuery( e ).removeClass( 'btn-default' ).addClass( 'btn-sigsiu' );
		} );
	} );

/* new since sobipro v1.5x */
try {
		SobiPro.jQuery( '#info-window-btn' ).bind( 'click', function () {
			if ( SobiPro.jQuery( '#info-window-btn' ).attr( 'data-visible' ) == 'false' ) {
				SobiPro.jQuery( '#info-window-btn' ).html( SobiPro.Txt( 'TP.SEARCH_HIDE' ) );  //set new
				SobiPro.jQuery( '#info-window-btn' ).attr( 'data-visible', true );
				SobiPro.jQuery( '#bottom_button' ).removeClass( 'hidden' );
			}
			else {
				SobiPro.jQuery( '#info-window-btn' ).attr( 'data-visible', false );
				SobiPro.jQuery( '#info-window-btn' ).html( SobiPro.Txt( 'TP.SEARCH_REFINE' ) );
				SobiPro.jQuery( '#bottom_button' ).addClass( 'hidden' );
			}
		} );
	} catch (e) {
	}
	SobiPro.jQuery( '#collapsearea' ).on( 'shown.bs.collapse', function ( e ) {
		SobiPro.jQuery( window ).trigger( 'resize' );
		try {
			for ( const id in SPGeoMapsReg ) {
				const handler = SPGeoMapsReg[ id ];
				try {
					// google.maps.event.trigger( handler.Map, 'resize' );
					handler.Map.setCenter( handler.Position );
				} catch (e) {
					// leaflet.js
					try {
						L.Util.requestAnimFrame( handler.Map.invalidateSize, handler.Map, !1, handler.Map._container );
					} catch (e) {
						console.log( e );
					}
				}
			}
		} catch (e) {
			console.log( e );
		}
	} );

} );
