<?xml version="1.0" encoding="UTF-8"?><!--
 @package: Default Template V5 for SobiPro Component for Joomla!

 @author
 Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 Email: sobi[at]sigsiu.net
 Url: https://www.Sigsiu.NET

 @copyright Copyright (C) 2006 - 2020 Sigsiu.NET GmbH (https://www.sigsiu.net). All rights reserved.
 @license GNU/GPL Version 3
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 See https://www.gnu.org/licenses/gpl.html and https://www.sigsiu.net/licenses.

 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
	<!-- Uncomment only if Review & Ratings App is installed -->
	<xsl:import href="review.xsl" />
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8"/>
	<xsl:include href="showfields.xsl"/>
	<!-- Uncomment only if Collection App is installed -->
	<!--<xsl:include href="collection.xsl" />-->

	<xsl:template name="vcard">
		<xsl:if test="( //reviews/settings/rating_enabled = 1 ) and document('')/*/xsl:import[@href='review.xsl']">
			<xsl:call-template name="ratingStars"/>
		</xsl:if>

		<!-- Snippet for the field highlighting feature. Do not remove or change it! -->
		<xsl:variable name="development">
			<xsl:if test="//development = 1">
				<xsl:text>development</xsl:text>
			</xsl:if>
		</xsl:variable>

		<div class="page-header">
			<!-- works only with Voting application -->
			<xsl:if test="count(voting/*) > 0">
				<xsl:copy-of select="voting/*"/>
			</xsl:if>
			<h2 class="namefield {$development}">
				<xsl:call-template name="development">
					<xsl:with-param name="fieldname" select="entry/name"/>
				</xsl:call-template>
				<a href="{url}">
					<xsl:value-of select="name"/>
					<xsl:call-template name="status">
						<xsl:with-param name="entry" select="."/>
					</xsl:call-template>
				</a>
			</h2>
            <xsl:if test="string-length(@km)" >
            <div class="vcdist">
                <span class="badge badge-info"><xsl:value-of select="@km" /></span><small><xsl:value-of select="@unit" /></small>
            </div>
            </xsl:if>
		</div>
		<!-- Uncomment only if Collection App is installed -->
		<!--<xsl:call-template name="collection"><xsl:with-param name="entry" select="."/></xsl:call-template>-->

		<xsl:for-each select="fields/*">
			<xsl:call-template name="showfield">
				<xsl:with-param name="fieldname" select="."/>
				<xsl:with-param name="view" select="'vcard'"/>
			</xsl:call-template>
		</xsl:for-each>

	</xsl:template>

</xsl:stylesheet>
