<?xml version="1.0" encoding="UTF-8"?><!--
 @package: Default Template V5 for SobiPro Component for Joomla!

 @author
 Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 Email: sobi[at]sigsiu.net
 Url: https://www.Sigsiu.NET

 @copyright Copyright (C) 2006 - 2020 Sigsiu.NET GmbH (https://www.sigsiu.net). All rights reserved.
 @license GNU/GPL Version 3
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
 as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 See https://www.gnu.org/licenses/gpl.html and https://www.sigsiu.net/licenses.

 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" xmlns:xls="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="php">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8"/>

	<xsl:include href="../common/alphamenu.xsl"/>
	<xsl:include href="../common/topmenu.xsl"/>
	<xsl:include href="../common/navigation.xsl"/>
	<xsl:include href="../common/entries.xsl"/>
	<xsl:include href="../common/messages.xsl"/>
	<xsl:include href="../common/searchfields.xsl"/>
	<xsl:include href="../common/searchordering.xsl"/>

	<xsl:template match="/search">

		<!-- for proper work a container is needed, we assume that the component area is placed into a container by the template.
		If not, you need to add a container around the SobiPro output here -->
		<div class="spSearch">
			<xsl:call-template name="topMenu">
				<xsl:with-param name="searchbox">false</xsl:with-param>
				<xsl:with-param name="title">
					<xsl:value-of select="name"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:apply-templates select="alphaMenu"/>
            <div id="errormes">      <!-- just an ancor -->
            <xsl:apply-templates select="messages"/>
            </div>
			<xsl:if test="string-length(description) > 0">
				<div class="spSearchDesc">
					<xsl:value-of select="description" disable-output-escaping="yes"/>
				</div>
			</xsl:if>

			<xsl:variable name="sparam">
				<xsl:choose>
					<xsl:when test="//config/hidesearch/@value = 1">
						<xsl:value-of select="php:function( 'SobiPro::Request', 'sparam' )"/>
					</xsl:when>
					<xsl:otherwise>in</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

			<div id="info-window">
				<div class="collapse {$sparam}" id="collapsearea">

					<div id="SPSearchForm" class="form-horizontal">
<!-- just a hint -->  <div class="SPExtHint"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_EXTHINT' )" /></div>
						<xsl:if test="/search/fields/searchbox">
							<div class="form-group">
								<label class="col-sm-3 control-label" for="SPSearchBox">
									<xsl:value-of select="/search/fields/searchbox/label"/>
								</label>
								<div class="col-sm-9 spSearchTop">
									<input type="text" name="sp_search_for" value="{/search/fields/searchbox/data/input/@value}"
									       class="form-control pull-left search-query" autocomplete="off" id="SPSearchBox"
									       placeholder="{php:function( 'SobiPro::Txt', 'SH.SEARCH_FOR_BOX' )}"/>
									<xsl:if test="/search/fields/top_button/label">
										<button type="submit" class="btn btn-primary btn-sigsiu top-search">
											<xsl:text>&#160;</xsl:text>
											<xsl:value-of select="/search/fields/top_button/label"/>
										</button>
									</xsl:if>
									<xsl:if test="count( /search/fields/* ) &gt; 3 and //config/extendedsearch/@value = 'show'">
<!-- added data-attributes to the extended search button  -->
                                        <button type="button" class="btn btn-default extended-search" name="SPExOptBt" id="SPExOptBt">
                                           <xsl:attribute name="data-text-rad">
                                                <xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_DIST' )" />
                                           </xsl:attribute>
                                            <xsl:variable name="data-ext">
                                                <xsl:value-of select="php:function( 'SobiPro::Txt', 'EXTENDED_SEARCH' )" />
                                            </xsl:variable>
                                           <xsl:attribute name="data-text-ext">
                                                <xsl:value-of select="$data-ext" />
                                           </xsl:attribute>
                                        <xsl:value-of select="$data-ext" />
                                        </button>
<!-- add a reset string for the extended filters -->
                                        <div id="resetExtSearch" class="exreset">
                                            <xsl:variable name="exbtn"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_EXTRESET_BTN' )" /></xsl:variable>
                                                <xsl:attribute name="title"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_EXTRESET_TT' )" /></xsl:attribute>
                                                <xsl:attribute name="data-text-reset"><xsl:value-of select="$exbtn" /></xsl:attribute>
                                                <xsl:attribute name="data-text-deleted"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_EXTRESET_OK' )" /></xsl:attribute>
                                            <xsl:value-of select="$exbtn" />
                                        </div>
									</xsl:if>
								</div>
							</div>
							<xsl:if test="count( /search/fields/phrase/* )">
								<div class="form-group">
									<label class="col-sm-3 control-label" for="sp-search-phrases">
										<xsl:value-of select="/search/fields/phrase/label"/>
									</label>
									<div class="col-sm-9 sp-search-phrases">
										<div class="btn-group" data-toggle="buttons">
											<xsl:for-each select="/search/fields/phrase/data/*">
												<label class="sphrase btn btn-default">
													<xsl:if test="./input/@checked = 'checked'">
														<xsl:attribute name="class">sphrase btn btn-sigsiu active</xsl:attribute>
													</xsl:if>
													<xsl:attribute name="for">
														<xsl:value-of select="./@for"/>
													</xsl:attribute>
													<xsl:copy-of select="./input"/>
													<xsl:value-of select="."/>
												</label>
											</xsl:for-each>
										</div>
									</div>
								</div>
							</xsl:if>
						</xsl:if>
<!-- the radius search field  -->
                <xsl:if test="/search/fields/radiusbox">
                    <div id="SPDistSearch" class="control-group group-dist">
                        <label class="control-label" for="SPRadius">
                            <span class="badge badge-new"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.NEW' )" /></span><br />
                            <xsl:value-of select="/search/fields/radiusbox/label" />
                            <img src="/images/sobipro/rsearchg.png" class ="ico-rsearch" alt="" />
                        </label>
                        <div class="controls sp-search-controls sp-dist">
                            <xsl:variable name="ctitle"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.RADCENT' )" /></xsl:variable>
                            <xsl:variable name="defrad"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_FOR_DIST' )" /></xsl:variable>
                            <xsl:variable name="fdesc"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_FIELDS' )" /></xsl:variable>
                            <span class="sp-dist-field"><xsl:value-of select="$fdesc" /></span><br />
                            <input type="text" id="SPRadius" name="sp_radius_city" value="{/search/fields/radiusbox/data/input/@value}" class="input-medium" title="{$ctitle}" data-text-rad="{$defrad}" />
                        <xsl:if test="/search/fields/radiusdist">
                            <xsl:variable name="dtitle"><xsl:value-of select="/search/fields/radiusdist/label" /></xsl:variable>
                            <select id="SpSelectDist" name="sp_radius_select" class="spClassSelect SPSearchSelect form-control select-small" title="{$dtitle}" >
                            <xsl:for-each select="/search/fields/radiusdist/data/select/option">
                                <option value="{@value}">
                                    <xsl:if test="@selected='selected'">
                                        <xsl:attribute name="selected">selected</xsl:attribute>
                                    </xsl:if>
                                <xsl:value-of select="." />
                                </option>
                            </xsl:for-each>
                            </select>
                        </xsl:if>

                        <xsl:if test="/search/fields/radius_button/label">
                                <button type="submit" name="submit_search" value="radius" class="btn btn-success btn-dist">
                                    <xsl:value-of select="/search/fields/radius_button/label" />
                                </button>
                        </xsl:if>
                        <br /><span class="dishint"><xsl:value-of select="php:function( 'SobiPro::Txt', 'SH.SEARCH_DISHINT' )" /></span>
                        </div>
                    </div>
				</xsl:if>
<!-- END radius search field  -->
						<xsl:if test="count( /search/fields/* ) &gt; 3">
							<div>
								<xsl:if test="//config/extendedsearch/@value = 'show'">
									<xsl:attribute name="id">SPExtSearch</xsl:attribute>
								</xsl:if>
								<xsl:for-each select="fields/*">
									<xsl:call-template name="searchfield">
										<xsl:with-param name="fieldname" select="."/>
										<xsl:with-param name="position" select="position()"/>
									</xsl:call-template>
								</xsl:for-each>
							</div>
						</xsl:if>
					</div>
				</div>
			</div>

			<xsl:if test="//config/hidesearch/@value = 1">
				<div class="spSearchBottom">
					<xsl:choose>
						<xsl:when test="$sparam = 'in'">
							<button class="btn btn-info search-parameters" id="info-window-btn" data-toggle="collapse" data-target="#collapsearea"
							        aria-expanded="true"
							        aria-controls="collapsearea" data-visible="true" type="button">
								<xsl:value-of select="php:function( 'SobiPro::Txt', 'TP.SEARCH_HIDE' )"/>
							</button>
							<button type="submit" id="bottom_button" class="btn btn-primary btn-sigsiu bottom-search">
								<xsl:text>&#160;</xsl:text>
								<xsl:value-of select="/search/fields/top_button/label"/>
							</button>
						</xsl:when>
						<xsl:otherwise>
							<button class="btn btn-info search-parameters" id="info-window-btn" data-toggle="collapse" data-target="#collapsearea"
							        aria-expanded="false"
							        aria-controls="collapsearea" data-visible="false" type="button">
								<xsl:value-of select="php:function( 'SobiPro::Txt', 'TP.SEARCH_REFINE' )"/>
							</button>
							<button type="submit" id="bottom_button" class="btn btn-primary btn-sigsiu hidden bottom-search">
								<xsl:text>&#160;</xsl:text>
								<xsl:value-of select="/search/fields/top_button/label"/>
							</button>
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</xsl:if>

			<div class="spListing search">
				<xsl:if test="message">
					<div class="spResultsmessage">
						<span class="result">
							<xsl:value-of select="message"/>
						</span>
						<xsl:if test="search_order != 'priority'">
							<xsl:apply-templates select="orderingMenu"/>
						</xsl:if>
					</div>
				</xsl:if>

				<div class="spEntriesContainer" id="entry-container">
					<xsl:call-template name="entriesLoop"/>
				</div>
				<xsl:apply-templates select="navigation"/>

				<xsl:call-template name="bottomHook"/>
			</div>
		</div>

	</xsl:template>
</xsl:stylesheet>
